Subject: Re: bug#46782: guix environment --expose options cannot be layered onto $PWD

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 06 Feb 2023 16:54:20 -0500

Hi,

Simon Tournier <[email-masked]> writes:

> Hi Maxim,
>
> A naive question since it works when using the --no-cwd option.
>
> On ven., 27 janv. 2023 at 11:19, Maxim Cournoyer <[email-masked]> wrote:
>
>> --8<---------------cut here---------------start------------->8---
>> guix environment -C --expose=/tmp=$PWD/tmp --ad-hoc bash coreutils \
>>  -- bash -c 'stat $PWD/tmp'
>> --8<---------------cut here---------------end--------------->8---
>
> Is $PWD referring to the same thing?  Because one is outside and the
> other is inside.

Yes!  See:

--8<---------------cut here---------------start------------->8---
maxim@hurd ~$ echo $PWD/tmp && guix environment \
 -C --expose=/tmp=$PWD/tmp --ad-hoc bash coreutils -- bash -c 'echo $PWD/tmp'
/home/maxim/tmp
/home/maxim/tmp
--8<---------------cut here---------------end--------------->8---

-- 
Thanks,
Maxim